
Redmine - Feature #2240

Ability to constrain tracker by role

2008-11-27 18:23 - Simon Stearn

Status: Closed Start date: 2008-11-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

This is a fantastic application that we are just beginning to look at using - I really like the speed and flexibility.

I would like end users to initially create 'un-triaged' issues, which then go through the project team to be qualified into other state - eg

feature request, defect, activity etc. The easy way would seem to be some association constraining access to trackers based on role.

I can see that its already possible to prevent some roles from moving issues.

Apologies if there is already a way to do this and I missed it. Keep up the good work !

Related issues:

Related to Redmine - Feature #973: Assign different status sets and workflows... New 2008-04-02

Is duplicate of Redmine - Feature #285: Tracker role-based permissioning Closed

History

#1 - 2011-03-11 16:18 - Etienne Massip

- Category set to Issues permissions

- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicate of #285.

#2 - 2015-07-07 20:36 - Alex Petty

We should add the functionality given by plugin "Redmine Tracker Control" (which allows that specific roles to be able to create issues of only specific

tracker types).

It would be great if this feature could be part of the Redmine 3.0.4 release since the "Redmine Tracker Control" plugin no longer works in 3.x

This would truly be a GREAT and VALUABLE feature for Redmine's overall flexibility in configuration, and would be hugely appreciate by many!!
